//
// Created by uos on 2022/6/9.
//

#ifndef UOS_RECOVERY_LOGDIALOG_H
#define UOS_RECOVERY_LOGDIALOG_H

#include "common/BaseTableView.h"
#include "utils/global.h"
#include <DMainWindow>
#include <QStandardItemModel>

DTK_USE_NAMESPACE
DWIDGET_USE_NAMESPACE



class LogDialog : public DMainWindow
{
    Q_OBJECT
public:
    explicit LogDialog(QWidget *parent = nullptr);
    void initUI();
    void initTableView();
    void setData(const OperateLogList operateLogList);
    void showToCenter();

// Q_SIGNALS:
//     void closeMainWindow();

// protected:
//     void closeEvent(QCloseEvent *event) override;

private:
    BaseTableView *m_tableView = nullptr;
    QStandardItemModel *m_model = nullptr;
};


#endif //UOS_RECOVERY_LOGDIALOG_H
